/*-------------------------------------------------------------------------------------------------------------+
|                                                                                                              |
|   Trigger: USR_ATUALIZA_IDORIGEMPONTO                                                                        |
|   Tabela: BATIDAPONTO                                                                                        |
|                                                                                                              |
|   Descrio:                                                                                                 |
|   Identifica a origem do registro de ponto, se  pelo Registrador Eletrnico de Ponto (REP) ou se  por CSA. |
|                                                                                                              |
|   Ref. solicitao: 94571                                                                                    |
|                                                                                                              |
|   Criao:                                                                                                   |
|   17/08/2010 - Tarcsio Dias Pereira                                                                         |
|                                                                                                              |
+-------------------------------------------------------------------------------------------------------------*/

CREATE OR REPLACE TRIGGER PRODUCAO_TECNISA.USR_ATUALIZA_IDORIGEMPONTO 
BEFORE INSERT OR UPDATE ON PRODUCAO_TECNISA.BATIDAPONTO FOR EACH ROW 
BEGIN
   :NEW.IDORIGEMPONTO := 'REP'; -- TEMPORRIO AT A AQUISIO DO REP (REGISTRADOR ELETRNICO DE PONTO)
   IF :NEW.DTSERVPREST IS NOT NULL THEN
      :NEW.IDORIGEMPONTO := 'CSA';
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('USR_ATUALIZA_IDORIGEMPONTO','5.11.001'); END;
/